<?php

namespace Drupal\driplet\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\driplet\Service\JWTManager;
use Symfony\Component\HttpFoundation\JsonResponse;

class DripletController extends ControllerBase {
  protected $jwtManager;

  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('driplet.jwt_manager')
    );
  }

  public function __construct(JWTManager $jwt_manager) {
    $this->jwtManager = $jwt_manager;
  }

  public function generateJwt() {
    $user = $this->currentUser();
    $token = $this->jwtManager->generateToken($user);

    return new JsonResponse([
      'status' => 'success',
      'message' => 'JWT token generated',
      'token' => $token,
    ]);
  }
}
