<?php

namespace Drupal\driplet\Service;

use Driplet\Token\JwtManager as DripletJwtManager;
use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Session\AccountInterface;

/**
 * Service for managing JWT tokens for Driplet in Drupal.
 */
class JWTManager {

  protected DripletJwtManager $jwtManager;

  public function __construct(ConfigFactoryInterface $config_factory) {
    $config = $config_factory->get('driplet.settings');
    $this->jwtManager = new DripletJwtManager($config->get('driplet_jwt_secret'));
  }

  /**
   * Generate a JWT token for a user.
   */
  public function generateToken(AccountInterface $user): string {
    return $this->jwtManager->generateToken([
      'uid' => $user->id(),
      'roles' => $user->getRoles(),
    ]);
  }

}
